<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.canteen.core.drp.mapper.DrpCertificateMapper">

  <select id="listDrpCertificate" resultType="com.bonus.canteen.core.drp.vo.DrpCertificateVo"
            parameterType="com.bonus.canteen.core.drp.dto.DrpCertificatePageDto">
      SELECT dc.cert_id,
      dc.cert_name,
      dc.cert_desc
      FROM drp_certificate dc
      WHERE dc.del_flag = 2
      <if test="param.certName != null and param.certName != '' ">
          AND dc.cert_name like concat('%',#{param.certName},'%')
      </if>

  </select>

</mapper>

